﻿@model ICollection<UserAccountsViewModel>

@{
    var count = 1;
}

<table class="table">
    <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">Account number</th>
            <th scope="col">Balance</th>
            <th scope="col">Date</th>
        </tr>
    </thead>
    <tbody>
        @foreach (var account in @Model)
        {
            <tr>
                <th scope="row">@(count++)</th>
                <td>@account.AccountNumber</td>
                <td>@account.Balance</td>
                <td>@account.Date</td>
                <td>
                    <a class="btn btn-primary" 
                    asp-controller="Purchase" 
                    asp-action="Currency" 
                    asp-route-AccountId="@account.Id"
                    asp-route-name="@ViewBag.Name"
                    asp-route-price="@ViewBag.Price">
                            Select
                    </a>
                </td>
            </tr>
        }
    </tbody>
</table>

